import { Event } from "../../../../base/common/event.js";
import { IExtensionsConfigContent } from "@codingame/monaco-vscode-47923ab1-c4c8-58b5-89ac-fa1b998eb5dd-common/vscode/vs/workbench/services/extensionRecommendations/common/workspaceExtensionsConfig";
export declare const IWorkspaceExtensionsConfigService: import("../../../../platform/instantiation/common/instantiation.js").ServiceIdentifier<IWorkspaceExtensionsConfigService>;
export interface IWorkspaceExtensionsConfigService {
    readonly _serviceBrand: undefined;
    onDidChangeExtensionsConfigs: Event<void>;
    getExtensionsConfigs(): Promise<IExtensionsConfigContent[]>;
    getRecommendations(): Promise<string[]>;
    getUnwantedRecommendations(): Promise<string[]>;
    toggleRecommendation(extensionId: string): Promise<void>;
    toggleUnwantedRecommendation(extensionId: string): Promise<void>;
}
